GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/mips-nbsd-tdep.h File Reference

Go to the source code of this file.

## Functions
void | mipsnbsd_supply_reg (struct regcache *, const char *, int)
void | mipsnbsd_fill_reg (const struct regcache *, char *, int)
void | mipsnbsd_supply_fpreg (struct regcache *, const char *, int)
void | mipsnbsd_fill_fpreg (const struct regcache *, char *, int)

## Function Documentation

## ◆ mipsnbsd_fill_fpreg()

void mipsnbsd_fill_fpreg | ( | const struct regcache * | ,
|  | char * | ,
|  | int |
| ) |  |

Definition at line 194 of file mips-nbsd-tdep.c.

References regcache::arch(), mips_regnum::fp_control_status, gdbarch_cannot_store_register(), gdbarch_fp0_regnum(), mips_isa_regsize(), mips_regnum(), and regcache_raw_collect().

Referenced by mipsnbsd_store_inferior_registers().

## ◆ mipsnbsd_fill_reg()

void mipsnbsd_fill_reg | ( | const struct regcache * | ,
|  | char * | ,
|  | int |
| ) |  |

Definition at line 157 of file mips-nbsd-tdep.c.

References regcache::arch(), gdbarch_cannot_store_register(), gdbarch_pc_regnum(), mips_isa_regsize(), and regcache_raw_collect().

Referenced by mipsnbsd_store_inferior_registers().

## ◆ mipsnbsd_supply_fpreg()

void mipsnbsd_supply_fpreg | ( | struct regcache * | ,
|  | const char * | ,
|  | int |
| ) |  |

Definition at line 170 of file mips-nbsd-tdep.c.

References regcache::arch(), mips_regnum::fp_implementation_revision, gdbarch_cannot_fetch_register(), gdbarch_fp0_regnum(), mips_isa_regsize(), mips_regnum(), and regcache_raw_supply().

Referenced by mipsnbsd_fetch_inferior_registers().

## ◆ mipsnbsd_supply_reg()

void mipsnbsd_supply_reg | ( | struct regcache * | ,
|  | const char * | ,
|  | int |
| ) |  |

Definition at line 138 of file mips-nbsd-tdep.c.

References regcache::arch(), gdbarch_cannot_fetch_register(), gdbarch_pc_regnum(), mips_isa_regsize(), and regcache_raw_supply().

Referenced by mipsnbsd_fetch_inferior_registers().